require '_h2ph_pre.ph';

require 'linux/config.ph';
unless(defined(&_ASM_IRQ_H)) {
    eval 'sub _ASM_IRQ_H () {1;}' unless defined(&_ASM_IRQ_H);
    require 'asm/machdep.ph';
    unless(defined(&CONFIG_8xx)) {
	if(defined(&CONFIG_APUS)) {
	    eval 'sub enable_irq () { &m68k_enable_irq;}' unless defined(&enable_irq);
	    eval 'sub disable_irq () { &m68k_disable_irq;}' unless defined(&disable_irq);
	    require 'asm-m68k/irq.ph';
	    undef(&enable_irq) if defined(&enable_irq);
	    undef(&disable_irq) if defined(&disable_irq);
	} else {
	    eval 'sub NR_IRQS () {128;}' unless defined(&NR_IRQS);
	}
	eval 'sub NUM_8259_INTERRUPTS () {16;}' unless defined(&NUM_8259_INTERRUPTS);
	eval 'sub NUM_OPENPIC_INTERRUPTS () {20;}' unless defined(&NUM_OPENPIC_INTERRUPTS);
	eval 'sub is_8259_irq {
	    local($n) = @_;
    	    eval q((($n) <  &NUM_8259_INTERRUPTS));
	}' unless defined(&is_8259_irq);
	eval 'sub openpic_to_irq {
	    local($n) = @_;
    	    eval q((($n)+ &NUM_8259_INTERRUPTS));
	}' unless defined(&openpic_to_irq);
	eval 'sub irq_to_openpic {
	    local($n) = @_;
    	    eval q((($n)- &NUM_8259_INTERRUPTS));
	}' unless defined(&irq_to_openpic);
	eval 'sub IRQ_8259_CASCADE () { &NUM_8259_INTERRUPTS;}' unless defined(&IRQ_8259_CASCADE);
	unless(defined(&CONFIG_APUS)) {
	}
    } else {
	eval 'sub NR_IRQS () {(16+16);}' unless defined(&NR_IRQS);
	eval 'sub SIU_IRQ0 () {(0+16);}' unless defined(&SIU_IRQ0);
	eval 'sub SIU_LEVEL0 () {(1+16);}' unless defined(&SIU_LEVEL0);
	eval 'sub SIU_IRQ1 () {(2+16);}' unless defined(&SIU_IRQ1);
	eval 'sub SIU_LEVEL1 () {(3+16);}' unless defined(&SIU_LEVEL1);
	eval 'sub SIU_IRQ2 () {(4+16);}' unless defined(&SIU_IRQ2);
	eval 'sub SIU_LEVEL2 () {(5+16);}' unless defined(&SIU_LEVEL2);
	eval 'sub SIU_IRQ3 () {(6+16);}' unless defined(&SIU_IRQ3);
	eval 'sub SIU_LEVEL3 () {(7+16);}' unless defined(&SIU_LEVEL3);
	eval 'sub SIU_IRQ4 () {(8+16);}' unless defined(&SIU_IRQ4);
	eval 'sub SIU_LEVEL4 () {(9+16);}' unless defined(&SIU_LEVEL4);
	eval 'sub SIU_IRQ5 () {(10+16);}' unless defined(&SIU_IRQ5);
	eval 'sub SIU_LEVEL5 () {(11+16);}' unless defined(&SIU_LEVEL5);
	eval 'sub SIU_IRQ6 () {(12+16);}' unless defined(&SIU_IRQ6);
	eval 'sub SIU_LEVEL6 () {(13+16);}' unless defined(&SIU_LEVEL6);
	eval 'sub SIU_IRQ7 () {(14+16);}' unless defined(&SIU_IRQ7);
	eval 'sub SIU_LEVEL7 () {(15+16);}' unless defined(&SIU_LEVEL7);
	eval 'sub PIT_INTERRUPT () { &SIU_LEVEL0;}' unless defined(&PIT_INTERRUPT);
	eval 'sub CPM_INTERRUPT () { &SIU_LEVEL2;}' unless defined(&CPM_INTERRUPT);
	eval 'sub PCMCIA_INTERRUPT () { &SIU_LEVEL6;}' unless defined(&PCMCIA_INTERRUPT);
	eval 'sub DEC_INTERRUPT () { &SIU_LEVEL7;}' unless defined(&DEC_INTERRUPT);
	eval 'sub mk_int_int_mask {
	    local($IL) = @_;
    	    eval q((1<< (7- ($IL/2))));
	}' unless defined(&mk_int_int_mask);
	if(defined(&CONFIG_MBX)) {
	    eval 'sub POWER_FAIL_INT () { &SIU_IRQ0;}' unless defined(&POWER_FAIL_INT);
	    eval 'sub TEMP_HILO_INT () { &SIU_IRQ1;}' unless defined(&TEMP_HILO_INT);
	    eval 'sub QSPAN_INT () { &SIU_IRQ2;}' unless defined(&QSPAN_INT);
	    eval 'sub ISA_BRIDGE_INT () { &SIU_IRQ3;}' unless defined(&ISA_BRIDGE_INT);
	    eval 'sub COMM_L_INT () { &SIU_IRQ6;}' unless defined(&COMM_L_INT);
	    eval 'sub STOP_ABRT_INT () { &SIU_IRQ7;}' unless defined(&STOP_ABRT_INT);
	}
	if(defined(&CONFIG_FADS)) {
	    eval 'sub FEC_INTERRUPT () { &SIU_LEVEL1;}' unless defined(&FEC_INTERRUPT);
	}
    }
}
1;
