require '_h2ph_pre.ph';

unless(defined(&_FENV_H)) {
    die("Never use <bits/fenv.h> directly; include <fenv.h> instead.");
}
if(defined(&__USE_GNU)) {
    eval 'sub FE_INVALID_SNAN () { &FE_INVALID_SNAN;}' unless defined(&FE_INVALID_SNAN);
    eval 'sub FE_INVALID_ISI () { &FE_INVALID_ISI;}' unless defined(&FE_INVALID_ISI);
    eval 'sub FE_INVALID_IDI () { &FE_INVALID_IDI;}' unless defined(&FE_INVALID_IDI);
    eval 'sub FE_INVALID_ZDZ () { &FE_INVALID_ZDZ;}' unless defined(&FE_INVALID_ZDZ);
    eval 'sub FE_INVALID_IMZ () { &FE_INVALID_IMZ;}' unless defined(&FE_INVALID_IMZ);
    eval 'sub FE_INVALID_COMPARE () { &FE_INVALID_COMPARE;}' unless defined(&FE_INVALID_COMPARE);
    eval 'sub FE_INVALID_SOFTWARE () { &FE_INVALID_SOFTWARE;}' unless defined(&FE_INVALID_SOFTWARE);
    eval 'sub FE_INVALID_SQRT () { &FE_INVALID_SQRT;}' unless defined(&FE_INVALID_SQRT);
    eval 'sub FE_INVALID_INTEGER_CONVERSION () { &FE_INVALID_INTEGER_CONVERSION;}' unless defined(&FE_INVALID_INTEGER_CONVERSION);
    eval 'sub FE_ALL_INVALID () {( &FE_INVALID_SNAN |  &FE_INVALID_ISI |  &FE_INVALID_IDI |  &FE_INVALID_ZDZ |  &FE_INVALID_IMZ |  &FE_INVALID_COMPARE |  &FE_INVALID_SOFTWARE |  &FE_INVALID_SQRT |  &FE_INVALID_INTEGER_CONVERSION);}' unless defined(&FE_ALL_INVALID);
}
unless(defined(&FE_ALL_EXCEPT)) {
    sub FE_ALL_EXCEPT () {	( &FE_INEXACT |  &FE_DIVBYZERO |  &FE_UNDERFLOW |  &FE_OVERFLOW |  &FE_INVALID);}
}
unless(defined(&FE_DFL_ENV)) {
    sub FE_DFL_ENV () {	(& &__fe_dfl_env);}
}
if(defined(&__USE_GNU)) {
    eval 'sub FE_ENABLED_ENV () {(& &__fe_enabled_env);}' unless defined(&FE_ENABLED_ENV);
    eval 'sub FE_NONIEEE_ENV () {(& &__fe_nonieee_env);}' unless defined(&FE_NONIEEE_ENV);
    eval 'sub FE_NOMASK_ENV () {( &__fe_nomask_env ());}' unless defined(&FE_NOMASK_ENV);
}
if(defined (defined(&__OPTIMIZE__) ? &__OPTIMIZE__ : 0)  && !defined (defined(&_SOFT_FLOAT) ? &_SOFT_FLOAT : 0)) {
    eval 'sub fegetround () {
        eval q(( &__extension__ ({ \'int\'  &__fegetround_result;  &__asm__ (\\"mcrfs 7,7 ; mfcr %0\\" : \\"=r\\"( &__fegetround_result) : : \\"cr7\\");  &__fegetround_result & 3; })));
    }' unless defined(&fegetround);
    eval 'sub feraiseexcept {
        local($__excepts) = @_;
	    eval q((( &__builtin_constant_p  && ( & (-1)) == 0 && !=  &FE_INVALID) ? ( != 0? ( &__extension__ ({  &__asm__  &__volatile__ (\\"mtfsb1 %s0\\" : : \\"i#*X\\"); 0; })) : 0) : ($__excepts)));
    }' unless defined(&feraiseexcept);
    eval 'sub feclearexcept {
        local($__excepts) = @_;
	    eval q((( &__builtin_constant_p  && ( & (-1)) == 0 && !=  &FE_INVALID) ? ( != 0? ( &__extension__ ({  &__asm__  &__volatile__ (\\"mtfsb0 %s0\\" : : \\"i#*X\\"); 0; })) : 0) : ($__excepts)));
    }' unless defined(&feclearexcept);
}
1;
